div.step-progress
	div.circle-container(*ngFor="let step of [].constructor(steps);let step_num = index", [ngClass]!="{'active': (step_num + 1 <= current_step), 'last': (step_num + 1 == steps)}")
		div.out-circle
			span.in-circle
				p {{ step_num + 1 }}
		div.progress([ngClass]!="{'hide': (step_num + 1 == steps), 'active': (step_num + 2 <= current_step)}")